import { http } from '@/utils/request';
import { API_PREFIX } from '../../vite/config'
interface InterfaceUrl {
  [key: string]: string
}
const url: InterfaceUrl = {
  getUserInfo: '/getUserInfo'
}
Object.keys(url).map(key => {
  url[key] = `${API_PREFIX}${url[key]}`
})
console.log('api >>>', url);

export const getUserInfo = () => http.get<InterFaceUserInfo>(url.getUserInfo)
